import request from '@/utils/request'

// 查询设测点关系列表
export function listPitDeviceSurveyPoint(query) {
  return request({
    url: '/device/pitDeviceSurveyPoint/list',
    method: 'get',
    params: query
  })
}

// 查询设测点关系详细
export function getPitDeviceSurveyPoint(id) {
  return request({
    url: '/device/pitDeviceSurveyPoint/' + id,
    method: 'get'
  })
}

// 新增设测点关系
export function addPitDeviceSurveyPoint(data) {
  return request({
    url: '/device/pitDeviceSurveyPoint',
    method: 'post',
    data: data
  })
}

// 修改设测点关系
export function updatePitDeviceSurveyPoint(data) {
  return request({
    url: '/device/pitDeviceSurveyPoint',
    method: 'put',
    data: data
  })
}

// 删除设测点关系
export function delPitDeviceSurveyPoint(id) {
  return request({
    url: '/device/pitDeviceSurveyPoint/' + id,
    method: 'delete'
  })
}
